%define major 3
%define minor 11

%define build_type "Release"

%define debug_package %{nil}

Name:           WildMagic3
Version:        %{major}.%{minor}
Release:        1%{?dist}
Summary:        Computer Graphics, Image Analysis and Numerical Methods

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.geometrictools.com
Source0:        http://www.geometrictools.com/Downloads/WildMagic%{major}p%{minor}.zip
Patch0:         WildMagic3p11-type.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel

BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXt-devel
BuildRequires:  libXi-devel
BuildRequires:  libSM-devel
BuildRequires:  libICE-devel

%description
Computer Graphics, Image Analysis and Numerical Methods


%prep
%setup -q -n GeometricTools/WildMagic3
%patch0 -p2 -b .type

# dyn patch required because .zip doens't keep timestramps
#sed -i -e 's|typedef long long int int64_t;|#include <sys/types.h>|2g' \
# Renderers/OpenGLRenderer/Wm3GlxExtensions.h

# Tweak for CFLAGS and libdir
find . -name 'make*.lnx' -exec sed -i -e 's|-O2|${RPM_OPT_FLAGS} -fPIC -DPIC|' {} ';'
#find . -name 'makeapp.lnx' -exec sed -i -e 's|-O2|${RPM_OPT_FLAGS} -fPIC -DPIC|' {} ';'
#find . -name 'makefile.lnx' -exec sed -i -e 's|-O2|${RPM_OPT_FLAGS} -fPIC -DPIC|' {} ';'
find . -name 'makeapp.lnx' -exec sed -i -e 's| /usr/lib|%{_libdir}|' {} ';'

# Tweak for the SONAME of shared built
#find . -name 'make*.wm4' -exec sed -i -e '^LIB := .*libWm4 s|-O2|${RPM_OPT_FLAGS} -fPIC|' {} ';'
#ed -s make*.wm4 < <(printf '%s\n' H 'g/^LIB := .*libWm4/s/\.a$/.so/' w)

# All theses headers have the same timestramps (release date)
touch -r Foundation/Detail/Wm3CollapseRecord.h TIMESTRAMPS
find . -name '*.h' -exec sed -i 's/\r//' {} ';'
find . -name '*.h' -exec touch -r TIMESTRAMPS {} ';'


%build
make -f makefile.lnx CONFIG=%{build_type}

# AR="$(which g++)" \
# ARFLAGS="-shared -Wl,-soname,%{LIB}.0 -o"


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -pR Library/%{build_type}/libWm%{major}* $RPM_BUILD_ROOT%{_libdir}
cp -pR Include $RPM_BUILD_ROOT%{_includedir}/WildMagic%{major}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc WildMagic3License.pdf
%{_includedir}/WildMagic%{major}/
%{_libdir}/libWm%{major}*


%changelog
* Wed Mar 26 2008 kwizart < kwizart at gmail.com > - 3.11-1
- Initial package

